
Name:		timidity-eawpats
# EAWPATS Release 12, April 2002
Version:	12
Release:	1.2
Summary:	EAW sound patch set
Group:		Productivity/Multimedia/Sound/Midi
License:	SUSE-Public-Domain, SUSE-Non-Commercial

Source:		eawpats%{version}_full.tar.xz
BuildRoot:	%_tmppath/%name-%version-build
BuildArch:	noarch
BuildRequires:	xz
%if "%{?vendor_uuid}" != ""
Provides:	%name(vendor:%vendor_uuid) = %version-%release
%endif

%description
This is a collection of Gravis UltraSound patches ("instruments") for
use with a GUS, or with "softsynth" MIDI players such as Timidity.
The patches have been collected from the Ultrasound mirrors, Midia,
Kurzweil archives, Roland archives, Yamaha archives, Maui, MAZ, and
about every other source of patches found.

The patches have been cleaned so as to remove clicks, the volume
within multipart patches was leveled so that they are the same
relative to each other. Further changes include: relooped samples,
created new instruments by combining others, edited out bad samples,
remapped the note mappings to samples, rekeyed samples, retuned
samples, changed envelopes, hand edited some to remove oversampling,
and just about any other kind of manipulation one can think of.

%prep

%build

%install
b="%buildroot";
mkdir -p "$b/%_datadir/timidity" "$b/%_datadir/sounds";
pushd "$b/%_datadir/sounds/";
tar --use=xz -xf "%{S:0}";
find . -type f -name "*.pat" -exec chmod a+r '{}' +;
popd;
cat >"$b/%_datadir/timidity/eawpats.cfg" <<-EOF;
	dir /usr/share/sounds/eawpats
	source gravis.cfg
	source gsdrums.cfg
	source gssfx.cfg
	source xgmap2.cfg
EOF

%files
%defattr(-,root,root)
%_datadir/timidity
%_datadir/sounds/*

%changelog
* Sun Jan 16 2011 jengelh@medozas.de
- Fix permissions on revcym.pat
